Subject: bug#506: mouse scrolls the other buffer in Vista

From: "Vaidotas Zemlys" <[email-masked]>
Date: Wed, 23 Jul 2008 11:58:22 +0300

On Tue, Jul 1, 2008 at 9:51 AM, Jason Rumney <[email-masked]> wrote:
> Vaidotas Zemlys wrote:
>
>> I usually change the windows with the mouse, by clicking on the window
>> I want to change to. So I always scroll the
>> window where the mouse and the cursors are. I tried changing this
>> variable though, there was no change in Emacs
>> behaviour at all.
>
> After scrolling with the mouse, please press C-h l to view the events
> Emacs has received, and send us the last few events (including any that
> occurred around the time that you scrolled the mouse wheel).
>
> Some mouse drivers on Windows do not send mouse wheel events, and
> instead try to figure out which scroll bar is linked to the current
> window and fake mouse press events on that instead. If this is the case,
> you might get better results using a generic mouse driver instead of the
> one that came with your mouse.
>

OK, I plugged another mouse, and the problem disappeared. The problem
was probably  caused by the driver of my
laptop touchpad.  (Asus F3Jp)

I am sorry for the delay, I use the windows only occasionally, so it
took time to find the opportunity to
boot into it again. Thanks for your help!

Vaidotas Zemlys